<?php
namespace Claromentis\Comments;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_437d31f3e369" . "eaf52112df78d" . "a5beabb" => base64_decode("T25FcnJvcg" . "=="), "_a4a101825" . "8adabb74e7" . "b04836d8d7" . "e3b" => base64_decode("Tm90I" . "EZvdW" . "5k"), "_c894747360c6ec5bd8169530ea" . "f9c473" => base64_decode("QmFkIFJl" . "cXVlc3Q="));
use Claromentis\Core\Repository\Exception\NotFoundException;
use Claromentis\Core\Repository\Exception\UnsupportedTypeException;
use Claromentis\Core\Application;
use Symfony\Component\HttpKernel\Event\ExceptionEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class RestExceptionHandler
{
    
    
    
    
    private $app;
    
    
    
    
    public function __construct(Application $app)
    {
        $this->app = $app;
    }
    
    
    
    
    public function OnError(ExceptionEvent $event)
    {
        $_fe441aa3ef350bfb1a1a1ad8520dd530 = $event->getThrowable();
        if ($_fe441aa3ef350bfb1a1a1ad8520dd530 instanceof NotFoundException) {
            $event->setThrowable(new \RestExNotFound($_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage(), $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_a4a1018258adabb74e7b04" . "836d8d7e3b"], $_fe441aa3ef350bfb1a1a1ad8520dd530));
            return;
        }
        if ($_fe441aa3ef350bfb1a1a1ad8520dd530 instanceof UnsupportedTypeException) {
            $event->setThrowable(new \RestExBadRequest($_fe441aa3ef350bfb1a1a1ad8520dd530->getMessage(), $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_c894747360c6ec5bd8169530" . "eaf9c473"], $_fe441aa3ef350bfb1a1a1ad8520dd530));
            return;
        }
    }
    
    
    
    
    public function register()
    {
        $this->app->on(KernelEvents::EXCEPTION, array($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_437d31f3e3" . "69eaf52112d" . "f78da5beabb"]), 32);
        
        
    }
    public function unregister()
    {
        
        
    }
}